Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLFormElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  HTMLFormElementImpl

public interface HTMLFormElement
extends HTMLElement

The `FORM` element encompasses behavior similar to a collection and an element. It provides direct access to the contained input elements as well as the attributes of the form element. See the FORM element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAcceptCharset()` List of character sets supported by the server.
`java.lang.String` | `getAction()` Server-side form handler.
`HTMLCollection` | `getElements()` Returns a collection of all control elements in the form.
`java.lang.String` | `getEnctype()` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`int` | `getLength()` The number of form controls in the form.
`java.lang.String` | `getMethod()` HTTP method used to submit form.
`java.lang.String` | `getName()` Names the form.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`void` | `reset()` Restores a form element's default values.
`void` | `setAcceptCharset(java.lang.String acceptCharset)`
`void` | `setAction(java.lang.String action)`
`void` | `setEnctype(java.lang.String enctype)`
`void` | `setMethod(java.lang.String method)`
`void` | `setName(java.lang.String name)`
`void` | `setTarget(java.lang.String target)`
`void` | `submit()` Submits the form.

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getElements

    public HTMLCollection getElements()

  Returns a collection of all control elements in the form.

### getLength

    public int getLength()

  The number of form controls in the form.

### getName

    public java.lang.String getName()

  Names the form.

### setName

    public void setName(java.lang.String name)

### getAcceptCharset

    public java.lang.String getAcceptCharset()

  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.0.

### setAcceptCharset

    public void setAcceptCharset(java.lang.String acceptCharset)

### getAction

    public java.lang.String getAction()

  Server-side form handler. See the action attribute definition in HTML 4.0.

### setAction

    public void setAction(java.lang.String action)

### getEnctype

    public java.lang.String getEnctype()

  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.0.

### setEnctype

    public void setEnctype(java.lang.String enctype)

### getMethod

    public java.lang.String getMethod()

  HTTP method used to submit form. See the method attribute definition in HTML 4.0.

### setMethod

    public void setMethod(java.lang.String method)

### getTarget

    public java.lang.String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    public void setTarget(java.lang.String target)

### submit

    public void submit()

  Submits the form. It performs the same action as a submit button.

### reset

    public void reset()

  Restores a form element's default values. It performs the same action as a reset button.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD